Looking for a required eclipse plugin but cannot find it.

Discussion in 'Java' started by Adam Sandler, Jun 15, 2005.

  1. Adam Sandler

    Adam Sandler Guest

    Hello,

    I just downloaded docjar (http://www.docjar.com/) for Eclipse and
    etracted it to the plugin directory. When I started Eclipse I didn't
    see the new plugin... so I went and looked in Eclipse.log and found
    this entry:

    !MESSAGE Problems encountered loading the plug-in registry.
    !SUBENTRY 1 org.eclipse.core.runtime 2 1 Jun 15, 2005 08:22:21.471
    !MESSAGE Plug-in "org.docjar" was disabled due to missing or disabled
    prerequisite plug-in "org.eclipse.core.expressions".

    So I guess I need to get org.eclipse.core.expressions... I've looked at
    eclipse.org, http://eclipse-plugins.2y.net/, and
    http://www.eclipseplugincentral.com/. I cannot find the expressions
    plugin.

    Does anyone know where I can get this needed plugin?

    Thanks!
    Adam Sandler, Jun 15, 2005
    #1
    1. Advertising

  2. Adam Sandler

    Roland Guest

    On 15-6-2005 16:41, Adam Sandler wrote:

    > Hello,
    >
    > I just downloaded docjar (http://www.docjar.com/) for Eclipse and
    > etracted it to the plugin directory. When I started Eclipse I didn't
    > see the new plugin... so I went and looked in Eclipse.log and found
    > this entry:
    >
    > !MESSAGE Problems encountered loading the plug-in registry.
    > !SUBENTRY 1 org.eclipse.core.runtime 2 1 Jun 15, 2005 08:22:21.471
    > !MESSAGE Plug-in "org.docjar" was disabled due to missing or disabled
    > prerequisite plug-in "org.eclipse.core.expressions".
    >
    > So I guess I need to get org.eclipse.core.expressions... I've looked at
    > eclipse.org, http://eclipse-plugins.2y.net/, and
    > http://www.eclipseplugincentral.com/. I cannot find the expressions
    > plugin.
    >
    > Does anyone know where I can get this needed plugin?
    >
    > Thanks!
    >

    Which version of Eclipse are you running?
    On a 3.0.1 installation I have, there is org.eclipse.core.expressions,
    but on 3.1RC1&2 there isn't.

    Checking the distribution file of 3.0.1...
    Yep, it is in the distribution zip file of 3.0.1. Probably also in 3.0.2.
    So you could get a 3.0.2 installation. Or, assuming you have a 3.1
    installation, you could try to extract the 3.0.2 expressions plugin and
    drop it in the 3.1 installation directory. But I'm not sure that would
    work though.
    Another possibility it to ask the maintainers of docjar to support 3.1
    (assuming it's a 3.0-only plugin).
    --
    Regards,

    Roland de Ruiter
    ` ___ ___
    `/__/ w_/ /__/
    / \ /_/ / \
    Roland, Jun 15, 2005
    #2
    1. Advertising

  3. Adam Sandler

    Adam Sandler Guest

    Thanks for the help... I posted here because while the docjar plugin
    looks itself pretty useful, there's no info about the plugin and their
    webpage is absolutely horrible. I suspected it was perhaps an eclipse
    version... thanks for confirming for me!
    Adam Sandler, Jun 16, 2005
    #3
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.

Share This Page